=== debian/control ===
Source: ros-foxy-lanelet2-io
Section: misc
Priority: optional
Maintainer: Fabian Immel <fabian.immel@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, libpugixml-dev, ros-foxy-ament-cmake-core, ros-foxy-lanelet2-core, ros-foxy-mrt-cmake-modules, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-lanelet2-io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libpugixml-dev, ros-foxy-lanelet2-core, ros-foxy-mrt-cmake-modules, ros-foxy-ros-workspace
Description: Parser/Writer module for lanelet2
